WHMCS installation requirements

WHMCS installation requirements version 7.5 and later versions.

WHMCS is an online payment software or application that allows the commercialization of web hosting, sale of web domains, resellers of hosting, VPS hosting and other hosting products that we could integrate easily.

It also allows the management of customers, resellers, marketing via email, invoice management and other features that we can configure so that they are applied automatically and allow a fully automated management.

WHMCS despite being aimed at the sale and distribution of web hosting in which it has achieved great popularity and has made it the number one manager in the management and distribution of web hosting its characteristics could be used in the online sale of any another product for the flexibility of its product configuration, user and client management.

Requirement Minimum Recommended
PHP Version 5.6.0 Latest 7.1 or 7.2 Release
PHP Memory Limit 64MB 128MB**
PHP Database Extension PDO PDO
PHP Extensions Curl with SSL

GD2 Image Library
JSON Support
XML

Curl with SSL

GD2 Image Library
JSON Support
IMAP
MBString
Iconv

MySQL Version 5.2.0 5.5.x
Ioncube Loaders 10.1.0 or later The latest 10.1.x version

 

WHMCS 7.0-7.4 supports PHP 5.6 and 7.0
WHMCS 7.5 and later supports PHP 5.6, 7.0, 7.1, and 7.2
WHMCS 7.6 and above currently supports PHP 5.6, 7.0, 7.1, 7.2 and 7.3

Note: Although we can install WHMCS 7.0 up to WHMCS 7.4 version with PHP version 5.6 it is highly recommended to install with the minimum version of PHP 7.2, since it is one of the latest versions of PHP with security support Read more.

If you have any questions, do not hesitate to contact the Picaraza Domains support team 24/7/365.

  • 4 Users Found This Useful
Was this answer helpful?